UptimeUptime Wiki

Customer

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/customers/{id}

Code example

curl -X GET "https://example.com/api/v1/customers/0"

Response example

{  "id": 0,  "name": "string",  "archetype": "string",  "tier": "string",  "kind_label": "string",  "lifecycle": "string",  "pending_until_ns": 0,  "health": 0.1,  "block_quality": 0.1,  "revenue_total_dollars": 0.1,  "revenue_last_hour_dollars": 0.1,  "availability_pct": 0.1,  "p99_latency_ms": 0,  "p99_recent_ms": 0,  "cpu_load_pct": 0.1,  "latency_top_term": "string",  "p50_latency_ms": 0,  "rps": 0.1,  "failed_requests_lifetime": 0,  "total_requests_lifetime": 0,  "failed_last_hour": 0,  "sla_p99_budget_ms": 0,  "in_latency_spike": true,  "on_probation": true,  "sla_credits_dollars": 0.1,  "egress_gbps": 0.1,  "ingress_gbps": 0.1,  "service_kinds": [    "string"  ],  "stranded_unit_count": 0,  "unit_count": 0,  "distinct_hosts": 0,  "max_units_on_host": 0,  "satisfaction": 0.1,  "satisfaction_label": "string",  "under_attack": true,  "attack_class": "string",  "breached": true,  "services": [    {      "class_tag": "string",      "label": "string",      "requested_count": 0,      "provisioned_count": 0,      "gap": 0,      "vcpu": 0,      "memory_mb": 0,      "accelerator": "string",      "durability": "string",      "region_id": 0,      "state": "string",      "reason": "string",      "state_tag": "string",      "reason_tag": "string",      "placement": {        "code": "string",        "unit": "string",        "subject": "string",        "needed": 0,        "available": 0,        "shortfall": 0,        "considered": 0,        "candidates": 0      },      "replication_tag": "string",      "replicas_held": 0,      "replicas_target": 0    }  ],  "detail_omitted": true,  "provisioned_total": 0,  "requested_total": 0,  "compliance_required": "string",  "required_arch": "string",  "requires_multi_az": true,  "requires_private_segment": true,  "demands_audit_logs": true,  "demands_air_gap": true,  "required_region": 0,  "requires_gpu": true,  "gpu_slices_demand": 0,  "growth_ceiling_vms": 0,  "requires_dedicated_hosts": true,  "requires_uncontended": true,  "requires_dedicated": true,  "eviction_fee_dollars": 0.1,  "requirements_unmet_mask": 0,  "requires_fault_isolation": true,  "sla_period_availability_frac": 0.1,  "sla_period_seconds_over_latency": 0.1,  "sla_period_elapsed_seconds": 0.1,  "margin_revenue_dollars": 0.1,  "margin_cost_dollars": 0.1,  "margin_dollars": 0.1,  "cost_infrastructure_dollars": 0.1,  "cost_transit_dollars": 0.1,  "service_margins": [    {      "service": "string",      "revenue_dollars": 0.1,      "cost_dollars": 0.1,      "margin_dollars": 0.1    }  ]}

Response body

200The entity
application/json

On this page